XB360GP(4)

NAME
xb360gp - XBox 360 gamepad driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device xb360gp
device hgame
device hid
device hidbus
device hidmap
device evdev

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    xb360gp_load="YES"

DESCRIPTION
The xb360gp driver provides support for XBox 360 gamepad driver.

The /dev/input/event* device presents the game controller as a evdev type device. It is accessible to members of the games group.

SYSCTL VARIABLES
The following variable is available as both sysctl(8) variable and loader(8) tunable:

dev.xb360gp.X.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

It's default value is set with loader(8) tunable:

hw.hid.xb360gp.debug

FILES
/dev/input/event*
    input event device node.

HISTORY
The xb360gp driver first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The xb360gp driver was written by Val Packett <val@packett.cool>.

This manual page was written by Vladimir Kondratyev <wulf@FreeBSD.org>.